Install application

Installing Application

To install Switch Window on a computer one should follow the procedure, described below:

Step 1. Download the latest version from http://www.desktopboosters.com
Step 2.Double-click the downloaded file
Step 3.Follow the on-screen instructions

Once the software installation is complete, and the system has been rebooted, Switch window will start automatically. From this moment on, Switch window is available from most system context menus (those that appear on screen on right-click).

Learn how to...

... install application
... uninstall application
... find and use Switch Window application

... register Switch window
... contact technical support


Un-install Switch window

Un-Installing Application

In order to un-install Switch Window from your system completely, you should use the un-installer program. To do so, perform one of the following actions:

1) Select Start->Programs->Switch window->Uninstall the main menu;
2) Open Control Panel and then select Add/Remove Programs. Find Switch Window in the list and press Uninstall button.

Once the un-installation process is over, Switch Window application is fully removed from your system.

Learn how to...

... install application
... uninstall application
... find and use Switch Window application

... register Switch window
... contact technical support


Register

Technical support

If you have any questions, please contact Meta Commander Pro technical support team at SwitchWindow@DesktopBoosters.com

Note: registered Meta Commander Pro users are eligible for priority technical support

Learn how to...

... install application
... uninstall application
... find and use Switch Window application

... register Switch window
... contact technical support


Switch Window overview

Operating systems have come a long way from primitive file management tools to sophisticated home and office computing environments featuring a multitude of tools intended to ease up our life.

Most of us have got used to the fact that each and every action within the operating system can be performed in a variety of ways: some prefer clicking items, while others favor the keyboard control or context menus.

Talking Windows and the latest XP family specifically, it is obvious the operating system has almost everything we need to use the computer effectively. Almost…

Let us have a look at such a common OS control element as Taskbar. The idea of switching between various tasks using a square bar with buttons on it is rather straightforward. All works fine when there are three to five open windows.

However, most of us have faced a situation when we need to keep dozens of windows open – interrelated documents, calculator, e-mail client, several web browser windows - all mess up the Taskbar space resulting in poor computing experience and growing frustration. We start clicking small non- informative buttons in vain attempt to find the desired window, but it takes much time. Window grouping does not save the day, since it requires even more clicks to get where we want in congested Taskbar environment.

SwitchWindow, a freeware solution by Desktop Boosters Software, is here to help us. This tiny tool integrates with Windows Shell providing two important functions from virtually any spot you can right-click: it allows switching to the desired window using menu (full description for each open window is available) as well as it allows closing unwanted windows with [CTRL]+Right Click right from the menu!

With SwitchWindow it is easy to operate any number of documents and applications without having to waste precious time on searching for the desired window! As we have mentioned above, SwitchWindow is FREE, so go ahead and use it today! See how much faster you can work now!

Learn how to...

... install application
... uninstall application
... find and use Switch Window application

... register Switch window
... contact technical support


Register

Registering Switch Window

Switch Window 1.0.1 software is distributed as freeware.

Learn how to...

... install application
... uninstall application
... find and use Switch Window application

... register Switch window
... contact technical support